volatile unsigned long time;
volatile unsigned int count=0;
#define debouncetime 25
#include "ServoTimer2.h"
void setup() {
  // put your setup code here, to run once:
  pinMode(13,OUTPUT);
  pinMode(2,INPUT_PULLUP);
  attachInterrupt(digitalPinToInterrupt(2),tick,FALLING);
  Serial.begin(9600);
  ServoTimer2 servo;
  servo.attach(A0);
  servo.write(2400);
}
void loop() {
  // put your main code here, to run repeatedly:
  digitalWrite(13,1);
  delay(1000);
  digitalWrite(13,0);
  delay(1000);
}
void tick(){
  if(millis()-time>debouncetime){
    time=millis();
    count++;
    Serial.println(count);
    detachInterrupt(0);
    attachInterrupt(0,rel,RISING);
  }
}
void rel(){
  if(millis()-time>debouncetime){
    time=millis();
    detachInterrupt(0);
    attachInterrupt(0,tick,FALLING);
  }
}